Skip to main content
POST
/
users
/
me
/
link-account
/
start
Start account linking
curl --request POST \
  --url https://api.agg.market/users/me/link-account/start \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-app-id: <api-key>' \
  --data '
{
  "provider": "google",
  "redirectUrl": "<string>",
  "email": "jsmith@example.com"
}
'
{
  "type": "redirect",
  "url": "<string>",
  "success": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.agg.market/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-app-id
string
header
required

Your application ID. Required for all app-tier and user-tier routes.

Authorization
string
header
required

JWT access token returned by POST /auth/verify. Required for user-tier routes.

Body

application/json
provider
enum<string>
required
Available options:
google,
twitter,
apple,
email
redirectUrl
string<uri>
email
string<email>
Maximum string length: 254

Response

200

type
enum<string>
required
Available options:
redirect,
magic_link
url
string
success
enum<boolean>
Available options:
true